Page MenuHomeFreeBSD

New port: x11/xcape: Configure modifier keys to act as other keys when pressed on their own
ClosedPublic

Authored by yuri on Nov 20 2017, 3:20 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

x11/xcape/Makefile
21 ↗(On Diff #35485)

^ this looks unecessary/wrong

yuri marked an inline comment as done.Nov 22 2017, 6:12 AM
yuri added inline comments.
x11/xcape/Makefile
21 ↗(On Diff #35485)

Why do you think this is wrong? This makefile has =, not >=. GNU make has the feature that it still sets such variables (with =) when they are placed into make's arguments, but not into its environment.

This line exploits this feature. Do you think it's wrong?

yuri marked 2 inline comments as done.Nov 22 2017, 6:12 AM
x11/xcape/Makefile
21 ↗(On Diff #35485)

MANDIR sounded absolute, and PREFIX unessessary :) looking at the Makefile, you're right.

yuri marked an inline comment as done.Nov 22 2017, 6:31 AM
x11/xcape/Makefile
21 ↗(On Diff #35485)

So, approved?

yuri marked an inline comment as done.Nov 22 2017, 6:49 AM
This comment was removed by yuri.
This revision is now accepted and ready to land.Nov 24 2017, 9:54 PM
This revision was automatically updated to reflect the committed changes.